package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc用车审批对象 cmc_car_approval
 *
 * @author cmc
 * @date 2024-03-05
 */
public class CmcCarApproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用车申请id */
    private String carApplyId;

    /** 申请人 */
    @Excel(name = "申请人")
    private Long applier;

    /** 车辆id */
    @Excel(name = "车辆id")
    private String cars;

    /** 驾驶员id */
    @Excel(name = "驾驶员id")
    private String drivers;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectId;

    /** 用车事由 */
    @Excel(name = "用车事由")
    private String applyReason;

    /** 人数 */
    @Excel(name = "人数")
    private Integer passengers;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDate;

    /** 开始日期上/下午 */
    @Excel(name = "开始日期上/下午")
    private String beginHalfday;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 结束日期上/下午 */
    @Excel(name = "结束日期上/下午")
    private String endHalfday;

    /** 天数 */
    @Excel(name = "天数")
    private Long days;

    /** 部门审批人 */
    @Excel(name = "部门审批人")
    private Long deptUserId;

    /** 部门审批意见 */
    @Excel(name = "部门审批意见")
    private String deptComment;

    /** 分管审批人 */
    @Excel(name = "分管审批人")
    private Long managerUserId;

    /** 分管审批意见 */
    @Excel(name = "分管审批意见")
    private String managerComment;

    /** 工会审批人 */
    @Excel(name = "工会审批人")
    private Long unionUserId;

    /** 工会审批意见 */
    @Excel(name = "工会审批意见")
    private String unionComment;

    /** 调度员 */
    @Excel(name = "调度员")
    private Long dispatcher;

    /** 调度审批意见 */
    @Excel(name = "调度审批意见")
    private String dispatchComment;

    /** 预计用车成本 */
    @Excel(name = "预计用车成本")
    private BigDecimal estimateCost;

    /** 申请日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    public void setCarApplyId(String carApplyId)
    {
        this.carApplyId = carApplyId;
    }

    public String getCarApplyId()
    {
        return carApplyId;
    }
    public void setApplier(Long applier)
    {
        this.applier = applier;
    }

    public Long getApplier()
    {
        return applier;
    }
    public void setCars(String cars)
    {
        this.cars = cars;
    }

    public String getCars()
    {
        return cars;
    }
    public void setDrivers(String drivers)
    {
        this.drivers = drivers;
    }

    public String getDrivers()
    {
        return drivers;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setApplyReason(String applyReason)
    {
        this.applyReason = applyReason;
    }

    public String getApplyReason()
    {
        return applyReason;
    }
    public void setPassengers(Integer passengers)
    {
        this.passengers = passengers;
    }

    public Integer getPassengers()
    {
        return passengers;
    }
    public void setBeginDate(Date beginDate)
    {
        this.beginDate = beginDate;
    }

    public Date getBeginDate()
    {
        return beginDate;
    }
    public void setBeginHalfday(String beginHalfday)
    {
        this.beginHalfday = beginHalfday;
    }

    public String getBeginHalfday()
    {
        return beginHalfday;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setEndHalfday(String endHalfday)
    {
        this.endHalfday = endHalfday;
    }

    public String getEndHalfday()
    {
        return endHalfday;
    }
    public void setDays(Long days)
    {
        this.days = days;
    }

    public Long getDays()
    {
        return days;
    }
    public void setDeptUserId(Long deptUserId)
    {
        this.deptUserId = deptUserId;
    }

    public Long getDeptUserId()
    {
        return deptUserId;
    }
    public void setDeptComment(String deptComment)
    {
        this.deptComment = deptComment;
    }

    public String getDeptComment()
    {
        return deptComment;
    }
    public void setManagerUserId(Long managerUserId)
    {
        this.managerUserId = managerUserId;
    }

    public Long getManagerUserId()
    {
        return managerUserId;
    }
    public void setManagerComment(String managerComment)
    {
        this.managerComment = managerComment;
    }

    public String getManagerComment()
    {
        return managerComment;
    }
    public void setUnionUserId(Long unionUserId)
    {
        this.unionUserId = unionUserId;
    }

    public Long getUnionUserId()
    {
        return unionUserId;
    }
    public void setUnionComment(String unionComment)
    {
        this.unionComment = unionComment;
    }

    public String getUnionComment()
    {
        return unionComment;
    }
    public void setDispatcher(Long dispatcher)
    {
        this.dispatcher = dispatcher;
    }

    public Long getDispatcher()
    {
        return dispatcher;
    }
    public void setDispatchComment(String dispatchComment)
    {
        this.dispatchComment = dispatchComment;
    }

    public String getDispatchComment()
    {
        return dispatchComment;
    }
    public void setEstimateCost(BigDecimal estimateCost)
    {
        this.estimateCost = estimateCost;
    }

    public BigDecimal getEstimateCost()
    {
        return estimateCost;
    }
    public void setApplyDate(Date applyDate)
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate()
    {
        return applyDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("carApplyId", getCarApplyId())
                .append("applier", getApplier())
                .append("cars", getCars())
                .append("drivers", getDrivers())
                .append("projectId", getProjectId())
                .append("applyReason", getApplyReason())
                .append("passengers", getPassengers())
                .append("beginDate", getBeginDate())
                .append("beginHalfday", getBeginHalfday())
                .append("endDate", getEndDate())
                .append("endHalfday", getEndHalfday())
                .append("days", getDays())
                .append("deptUserId", getDeptUserId())
                .append("deptComment", getDeptComment())
                .append("managerUserId", getManagerUserId())
                .append("managerComment", getManagerComment())
                .append("unionUserId", getUnionUserId())
                .append("unionComment", getUnionComment())
                .append("dispatcher", getDispatcher())
                .append("dispatchComment", getDispatchComment())
                .append("estimateCost", getEstimateCost())
                .append("applyDate", getApplyDate())
                .toString();
    }
}
